summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author adaptr2010-10-25 04:17:28 +0200
committer Erik Hanson2010-10-25 14:55:11 +0200
commit4c17ee3699e233b1f739919fe882d73e463874d9 (patch)
tree5cc161b26646bf5a6b3950949079fc04ce5763c2
parent61075243c891dd613ba63c63ad2a125afde30512 (diff)
downloadslackbuilds-4c17ee3699e233b1f739919fe882d73e463874d9.tar.gz
network/mysecureshell: Added (sftp server based on OpenSSH)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/mysecureshell/README14
-rw-r--r--network/mysecureshell/mysecureshell.SlackBuild93
-rw-r--r--network/mysecureshell/mysecureshell.info10
-rw-r--r--network/mysecureshell/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/network/mysecureshell/README b/network/mysecureshell/README
new file mode 100644
index 0000000000..43e5369b35
--- /dev/null
+++ b/network/mysecureshell/README
@@ -0,0 +1,14 @@
+MySecureShell (sftp server based on OpenSSH's internal sftp-server)
+
+MySecureShell is a replacement for the OpenSSH sftp-server subsystem that
+offers advanced features such as jailing, group-based access controls,
+and up/download limits. The configuration file is easy to read and
+resembles apache/ProFTPd.
+
+After installing the package, add the following to your sshd_config,
+commenting out the previous sftp entry if there was one:
+
+Subsystem sftp /bin/MySecureShell -c sftp-server
+
+and restart sshd (/etc/rc.d/rc.sshd restart)
+
diff --git a/network/mysecureshell/mysecureshell.SlackBuild b/network/mysecureshell/mysecureshell.SlackBuild
new file mode 100644
index 0000000000..2c900b5c3e
--- /dev/null
+++ b/network/mysecureshell/mysecureshell.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for MySecureShell
+
+# Written by adaptr <jeroen@adaptr.nl>
+
+PRGNAM=mysecureshell
+VERSION=${VERSION:-1.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+## The source has an underscore
+SRCNAME=$PRGNAM\_$VERSION
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAME
+tar xvf $CWD/$SRCNAME.tar.gz
+cd $SRCNAME
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Working around MSS's braindead install.sh
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README-en sftp_config \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mysecureshell/mysecureshell.info b/network/mysecureshell/mysecureshell.info
new file mode 100644
index 0000000000..19e24b6712
--- /dev/null
+++ b/network/mysecureshell/mysecureshell.info
@@ -0,0 +1,10 @@
+PRGNAM="mysecureshell"
+VERSION="1.20"
+HOMEPAGE="http://mysecureshell.sourceforge.net"
+DOWNLOAD="http://mysecureshell.free.fr/repository/index.php/source/mysecureshell_1.20.tar.gz"
+MD5SUM="e6720c036775745ff2d7db34e2ade17c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="adaptr"
+EMAIL="jeroen@daptr.nl"
+APPROVED="dsomero"
diff --git a/network/mysecureshell/slack-desc b/network/mysecureshell/slack-desc
new file mode 100644
index 0000000000..3cfe523272
--- /dev/null
+++ b/network/mysecureshell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mysecureshell: MySecureShell (sftp server based on OpenSSH's internal sftp-server)
+mysecureshell:
+mysecureshell: MySecureShell is a replacement for the OpenSSH sftp-server subsystem
+mysecureshell: that offers advanced features such as jailing, group-based access
+mysecureshell: controls, and up/download limits.
+mysecureshell: The configuration file is easy to read and resembles apache/ProFTPd.
+mysecureshell:
+mysecureshell: Homepage: http://mysecureshell.sourceforge.net
+mysecureshell:
+mysecureshell:
+mysecureshell: